	SUBROUTINE INSTRS
	WRITE(5,1)
1	FORMAT(//' Instructions..................................'/
     C' BLACK BOX is a search game, something of a cross between'/
     C' Battleship and Mastermind.  The object is to find the'/
     C' locations of several stars hidden in the Black Box.  Of'/
     C' course, you can''t see into the box directly, but you can'/
     C' send rays into the box.  You can often tell something of'/
     C' the star locations by what happens to rays entering the'/
     C' box.  These rays can do one of three things:'/
     C' 	a) Hit a star and be absorbed (an absorbed ray'/
     C' 	   can''t leave the box).'/
     C' 	b) Come close enough to a star to be deflected'/
     C' 	   by it.  Rays always travel in straight lines'/
     C' 	   and bend at right angles.'/
     C' 	c) Miss all stars and not get deflected.'/
     C' (hit <CR> to continue - <CR> is NEW LINE, RETURN or ENTER)')
	READ(5,3,END=10) ANS
3	FORMAT(A1)
	WRITE(5,4)
4	FORMAT(//' Thus three things will happen to a ray after it'/
     C' enters the box.  It will be absorbed (HIT), it will exit'/
     C' the box somewhere else (DEFLECTION or MISS), or it can'/
     C' leave by where it entered (REFLECTION).  Each of these will'/
     C' be explained further.'//
     C' Before that, I must give you a description of the box.'/
     C' It is an 8x8 square with numbers all around.  These numbers'/
     C' go from 1 to 32; a ray is entered by specifying one of these'/
     C' numbers.  The point at which the ray exits is also described'/
     C' by a number; for example, a ray could enter at 19 and '/
     C' exit at 7.')
	READ(5,3,END=10) ANS
	WRITE(5,5)
5	FORMAT(' When you enter a ray its entry and exit points will'/
     C' be marked by a letter (a-z) for a MISS or DEFLECTION, an H'/
     C' for a HIT, or an R for a REFLECTION.  If a ray enters at 19'/
     C' and leaves at 7, numbers 19 and 7 would be replaced by an "a".'
     C/' The next ray would be marked by a "b", and so on.  Note that'/
     C' rays have a unique path; if a ray entered at 10 leaves at 23'/
     C' then a ray entered at 23 will leave at 10.')
	READ(5,3,END=10) ANS
	WRITE(5,6)
6	FORMAT(' HITs are marked by an H.  A hit does not have to be'/
     C' made in a straight line; the ray can bounce around inside'/
     C' the box for a while and then hit a star.  The star absorbs'/
     C' the ray and all you are told is that it was a hit and where'/
     C' the ray entered the box.')
	READ(5,3,END=10) ANS
	WRITE(5,7)
7	FORMAT(' DEFLECTIONs occur when a ray passes next to a star.'/
     C' A deflected ray turns AWAY from the star as in the following'/
     C' diagrams:'/
     C'               |   |   | V |   |   |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   | V |   |   |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   | V |   |   |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'             < | < | < | < |   |   |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   |   | * |   |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   |   |   | > | > | > | > |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   |   |   | ^ |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|'/
     C'               |   |   |   |   | ^ |   |   |   |'/
     C'               |---+---+---+---+---+---+---+---|')
	READ(5,3,END=10) ANS
	WRITE(5,8)
8	FORMAT(' Note that a MISS happens when a ray is unaffected by'/
     C' any stars.  However, it is possible that a ray can be DEFLECTED'
     C/' inside the box and come out on the other side in what appears'/
     C' to be a straight line.  You have no way of distinguishing'/
     C' between a miss and a deflection when this happens.'//
     C' REFLECTIONs happen when rays leave the box in the same place'/
     C' they entered.  This can happen in two ways.  First, a ray can'/
     C' be deflected inside the box and eventually sent back on its'/
     C' own path.  Second, a ray can be deflected by a star on the'/
     C' edge of the board BEFORE it enters the box.  These are'/
     C' illustrated on the next screen.')
	READ(5,3,END=10) ANS
	WRITE(5,9)
9	FORMAT(
     C'        ^ |     |     |V   ^|     |     |'/
     C'        ^ |     |     |V   ^|     |     |'/
     C'        ^ |     |     |V   ^|     |     |'/
     C'        ^ |-----|-----|-----|-----|-----|---'/
     C'        ^ |     |     |V   ^|     |     |     |'/
     C'        ^ |     |     |V   ^|     |     |  *  |'/
     C'        ^ |     |     |V   ^|     |     |     |'/
     C'        ^ |-----|-----|-----|-----|-----|-----|'/
     C'        ^ |     |     |V   ^|< < <|< < <|     |'/
     C'  > > > ^ |     |     |V    |     |    ^|     |'/
     C'          |     |     |> > >|> > >|> > >|     |'/
     C'          |-----|-----|-----|-----|-----|-----|'/
     C'          |     |     |     |     |     |     |')
	WRITE(5,11)
11	FORMAT(
     C'          |  *  |  *  |     |     |     |  *  |'/
     C'          |     |     |     |     |     |     |'/
     C'          |-----|-----|-----|-----|-----|-----|'/
     C'          |     |     |     |     |     |     |'/
     C'  > > > V |     |     |     |     |'/
     C'        V |     |     |     |'/
     C'        V |-----|-----|----'/
     C'        V |     |     |',$)
	READ(5,3,END=10) ANS
	WRITE(5,12)
12	FORMAT(' Of course, anybody can find the star locations after'/
     C' sending in 25 rays, but it''s MUCH better to succeed with'/
     C' fewer shots.  Scoring in the game is based on 1 point for'/
     C' each HIT or REFLECTION, and 2 points for each DEFLECTION.')
	READ(5,3,END=10) ANS
	WRITE(5,15)
15	FORMAT(
     C' While searching for stars you can place a star marker (#) in'/
     C' any location you belive contains a star.  When you decide to'/
     C' stop your guesses will be compared with the actual locations'/
     C' and you will be assessed 5 points for each star you missed.'//
     C' There are several options in BLACK BOX; you can choose to look'/
     C' for any number of stars from 1 to 8 (4 or 5 is a good range -'/
     C' less than that and it''s too easy, more stars make for ambiguous
     C'/' patterns).  Also there are several ways to hide the stars,'/
     C' including random patterns, patterns entered from the terminal'/
     C' (set one up for a friend), and a file of preset patterns.'/
     C' If you get a particularly good pattern, enter it in the file !')
	READ(5,3,END=10) ANS
	WRITE(5,16)
16	FORMAT(' If you are unsure of these instructions try out the'/
     C' Practice Mode.  This lets you see inside the Black Box as'/
     C' you shoot rays into it.  Also, the game is reasonably well'/
     C' foolproofed; don''t worry about entering the wrong thing.'/
     C' Should you make a mistake the game will either tell you or'/
     C' ask you again for the same information.'//
     C' Also, CNTRL-Z (hold down CNTRL, CTRL or CONTROL key and type'/
     C' "Z") has several useful functions.  Unless otherwise'/
     C' specified, it will get you either to the end or beginning'/
     C' of the game section you are currently in.  Use it if you'/
     C' make a mistake and the game asks you for something you don''t'/
     C' want to give it.  For example, CNTRL-Z will get you out of'/
     C' this instruction file at any point.'//
     C' A final word -- be patient.  If you enter information before'/
     C' the computer needs it you may get errors which can usually be'/
     C' ignored.  If you have any problems see Dave Thorson.')
	READ(5,3,END=10) ANS
10	CALL CLOSE(5)
	RETURN
	END
